fbset (2.1-32build2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:11:29 +0200

fbset (2.1-32build1) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:31:03 +0100

fbset (2.1-32) unstable; urgency=medium

  * Update Standards-Version to 4.5.0
  * Fix FTCBFS. (Closes: #851294)
    - Thanks to Helmut Grohne.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 03 Apr 2020 23:50:03 +0100

fbset (2.1-31) unstable; urgency=low
  * Update Maintainer (Closes: #740580)
  * sync with Linux Kernel v5.4-rc6
  * Update to Standards-Version 4.4.1
  * Use compatibility level 12
  * Change Priority to optional and remove duplicate Priority
  * Use github as Vcs

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 08 Nov 2019 20:47:58 +0000

fbset (2.1-30) unstable; urgency=medium

  * Line-wrap and sort dependency fields.
  * Now using Standards-Version 4.1.1 (no changes needed).
  * Switch debhelper compatibility level to 10.
  * Switch debian/watch format version to 4.
  * Set Rules-Requires-Root to no.

 -- Guillem Jover <guillem@debian.org>  Sun, 12 Nov 2017 00:29:03 +0100

fbset (2.1-29) unstable; urgency=medium

  * QA upload.
  * Update to Linux kernel 4.10-rc4:
    - debian/doc/kernel-doc/: Sync.
    - debian/patches/01_kernel_fb.h.patch: Likewise.
    - debian/modes/fb.modes.viafb: Likewise.
  * Now using Standards-Version 3.9.8 (no changes needed).
  * Switch Vcs-Browser to a cgit URL.
  * Use https for hadrons.org URLs.
  * Switch debian/copyright to machine-readable format 1.0.
  * Switch to the dpkg makefile fragments in debian/rules.
  * Enable all hardening flags.

 -- Guillem Jover <guillem@debian.org>  Thu, 19 Jan 2017 01:11:33 +0100

fbset (2.1-28) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.
  * Switch to debhelper compatibility level 9.
  * Now using Standards-Version 3.9.5 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 02 Mar 2014 20:54:35 +0100

fbset (2.1-27) unstable; urgency=low

  * Remove long obsolete and unsupported devfs references from man page.
  * Add a fb.modes.openmoko db file to the examples directory, usable with
    «fbse -db». Thanks to Timo Juhani Lindfors <timo.lindfors@iki.fi>.
    Closes: #594591
  * Add support for custom sync flags, by preserving unknown sync bits, a
    new -sync db mode option and a new --sync program option to set these.
    Thanks David Kozub <zub@linux.fjfi.cvut.cz>. Closes: #678325

 -- Guillem Jover <guillem@debian.org>  Wed, 15 May 2013 21:00:28 +0200

fbset (2.1-26) unstable; urgency=low

  * Now using Standards-Version 3.9.4 (no changes needed).
  * Remove package creation information from debian/copyright.

 -- Guillem Jover <guillem@debian.org>  Sat, 11 May 2013 17:10:32 +0200

fbset (2.1-25) unstable; urgency=low

  * Fix some missinformation in fbset(8).
    - Use an actual mode (“640x480-60”) instead of “vga” in the example.
    - Point to the correct path for the compressed FAQ.
    Thanks to Pavel Machek <pavel@ucw.cz>. Closes: #577449
  * Invert alternative dependency order for “makedev | udev” so that udev
    which has a higher priority goes first. Closes: #546865
  * Change binary package Architecture field values from any to linux-any.
  * Update to Linux kernel 3.0.0-rc1:
    - debian/doc/kernel-doc/: Sync.
    - debian/patches/01_kernel_fb.h.patch: Likewise.
    - debian/patches/07_new_accels.patch: Add more accelerated cards.
  * Fix upstream Makefile to support out of tree builds.
  * Rework debian/rules targets:
    - Create an empty build-indep target.
    - Use out of tree builds.
    - Merge build and build-udeb into a new build-arch target, and
      install and install-udeb into install-arch target, as they are
      not parallelizable anyway.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Add ${misc:Depends} substvar to fbset-udeb Depends field.
  * Remove long obsolete devfs support patch.
  * Rename UDEB_CFLAGS to CFLAGS_UDEB and UDEB_PACKAGE to PACKAGE_UDEB.
  * Use dpkg-buildflags to set CPPFLAGS, CFLAGS and LDFLAGS.

 -- Guillem Jover <guillem@debian.org>  Wed, 01 Jun 2011 06:27:30 +0200

fbset (2.1-24) unstable; urgency=low

  * Switch to debhelper compatibility level 7.
  * Use dh_prep instead of “dh_clean -k”.
  * Use $(filter ...) instead of $(findstring ...) to extract space separated
    options from DEB_BUILD_OPTIONS in debian/rules.
  * Now using Standards-Version 3.8.3 (no changes needed).
  * Update to Linux kernel 2.6.32-rc7:
    - debian/doc/kernel-doc/: Sync.
    - debian/patches/01_kernel_fb.h.patch: Likewise.
    - debian/patches/07_new_accels.patch: Add more accelerated cards.
    - debian/modes/fb.modes.viafb: New modes file.
  * Remove ‘+’ line prefixes in ATI modes files from the time .diff.gz
    changes got converted to standalone files.
  * Switch to source format “3.0 (quilt)”:
    - Remove quilt from Build-Depends.
    - Remove quilt.make include from debian/rules.
    - Remove patch and unpatch targets from debian/rules.
    - Remove now unneeded debian/README.source.

 -- Guillem Jover <guillem@debian.org>  Sat, 14 Nov 2009 03:23:30 +0100

fbset (2.1-23) unstable; urgency=low

  * Fix misspelling of Debian (from debian).
  * Update packaging Vcs fields to the new URL.
  * Remove packaging svn information from debian/copyright.
  * Cleanup debian/copyright:
    - Change 'Upstream Author' to 'Copyright Holder'.
    - Use UTF-8 copyright symbol.
    - Refer to GPL-2 from common-licenses instead of just GPL.
  * Add a debian/README.source file.
  * Now using Standards-Version 3.8.0.
  * Update to Linux kernel 2.6.25.7:
    - debian/doc/kernel-doc/: Sync.
    - debian/patches/01_kernel_fb.h.patch: Likewise.
    - debian/patches/07_new_accels.patch: Add more accelerated cards.

 -- Guillem Jover <guillem@debian.org>  Sun, 22 Jun 2008 07:24:51 +0300

fbset (2.1-22) unstable; urgency=low

  * Add modes.tab.h as a Makefile target for modes.y to fix parallel FTBFS.
    - debian/patches/10_build.patch: Update.
  * Remove XC- from Package-Type field.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Remove 'trunk' from Vcs-Browser field.
  * Remove obsolete dependency on devfsd.

 -- Guillem Jover <guillem@debian.org>  Wed, 05 Dec 2007 07:33:54 +0200

fbset (2.1-21) unstable; urgency=low

  * Remove commented out debhelper command calls.
  * Make creating the device files non-fatal. (Closes: #444458)

 -- Guillem Jover <guillem@debian.org>  Tue, 20 Nov 2007 04:12:14 +0200

fbset (2.1-20) unstable; urgency=low

  * Switched to quilt:
    - Add new debian/patches/series file.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Include quilt.make from debian/rules.
    - Remove now unused debian/patch.mk.
    - Add a Status field in all patches, and refreshed them.
  * Add a Homepage field.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Update download URL in debian/copyright.
  * Do not ignore errors from 'make clean' nor 'make install' in debian/rules.
  * Remove con2fbmap on clean so that it does not FTBFS on a second row.
    (Closes: #424250, #442561)
  * Fix bashisms in Makefile when creating directories. (Closes: #417476)
    - debian/patches/10_build.patch: Modified.
  * Remove useless debconf note about device creation. (Closes: #390567)
    - debian/fbset.templates: Remove.
    - debian/fbset.config. Likewise.
    - debian/po/: Likewise.
    - debian/rules: Remove debconf support.
    - debian/fbset.postinst: Likewise.
  * Only try to create the device node on '<postinst> configure'.
  * Updated to Linux kernel 2.6.22.3:
    - debian/doc/kernel-doc/: Sync.

 -- Guillem Jover <guillem@debian.org>  Sun, 16 Sep 2007 19:53:31 +0300

fbset (2.1-19) unstable; urgency=low

  * Now using Standards-Version 3.7.2 (no changes needed).
  * Fix Upstream URL in the debian/watch file.
  * Change section from base to admin, to match ftp-master override.
  * Run /dev/MAKEDEV in debian/fbset.postinst only if present. (Closes: #362794)
  * Updated to Linux kernel 2.6.17.4:
    - debian/doc/kernel-doc/: Sync.
    - debian/modes/fb.modes.CyBla: Likewise.
  * Indent debian/copyright to 4 spaces.
  * Clean up debian/patch.mk:
    - Rename clean to unpatch.
    - Switch patch and unpatch to single-colon targets.
  * Clean up debian/rules:
    - Switch clean to single-colon target, make it depend on unpatch.
  * Templates:
    - Catalan: Changed encoding to UTF-8.

 -- Guillem Jover <guillem@debian.org>  Thu,  3 Aug 2006 05:33:32 +0300

fbset (2.1-18) unstable; urgency=low

  * Update watch file to version 3 (no changes needed).
  * Now using Standards-Version 3.6.2 (no changes needed).
  * Upgrade to debhelper compat level 5.
  * Put framebuffer modes as full files:
    - debian/patches/02_fb_modes.patch: Move full files to ...
    - debian/modes/: ... here.
  * Updated to Linux kernel 2.6.15:
    - debian/doc/kernel-doc/: Sync.
    - debian/modes/fb.modes.CyBla: New file.
    - debian/patches/01_kernel_fb.h.patch: Likewise.
    - debian/patches/07_new_accels.patch: Add more accelerated cards.
  * Move fbset, modeline2fb and con2fbmap to /bin. (Closes: #256972, #320574)
  * Templates:
    - Portuguese. (Closes: #338728)
      Thanks to Miguel Figueiredo <elmig@debianpt.org>.
    - Swedish. (Closes: #331471)
      Thanks to Daniel Nylander <yeager@lidkoping.net>.
  * Depend on udev as a Second Class Citizen alternative to makedev.

 -- Guillem Jover <guillem@debian.org>  Wed, 18 Jan 2006 02:13:39 +0200

fbset (2.1-17) unstable; urgency=low

  * Templates:
    - Update pot and po files.
    - Czech. (Closes: #308054)
    Thanks to Miroslav Kure <kurem@upcase.inf.upol.cz>.
    - Vietnamese. (Closes: #313599)
    Thanks to Clytie Siddall <clytie@riverland.net.au>.
  * Merge fbset and fbset-udeb into binary-arch, and on install targets
    clean only its own package directory.
    - debian/rules.

 -- Guillem Jover <guillem@debian.org>  Sat, 18 Jun 2005 05:03:36 +0300

fbset (2.1-16) unstable; urgency=low

  * Remove supported Linux kernel version list from package description.
    (Closes: #286338)
  * Fix typos in con2fbmap.8. (Closes: #287953)
    Thanks to A Costa <agcosta@gis.net>.
  * Honour noopt DEB_BUILD_OPTIONS for udebs.
  * Fix Subversion repository address.
  * Provide a patch target instead of pre-build.
    - debian/patch.mk: Likewise.
    - debian/rules: Fix accordingly.
  * Updated to Linux kernel 2.6.10:
    - debian/doc/kernel-doc/: Sync.
    - debian/patches/01_kernel_fb.h.patch: Likewise.
    - debian/patches/07_new_accels.patch: Add more accelerated cards.

 -- Guillem Jover <guillem@debian.org>  Tue,  1 Feb 2005 07:28:26 +0100

fbset (2.1-15) unstable; urgency=low

  * Fix typo in fbset(8) manpage s/-g/-t/.
    Thanks to Benoit-Pierre Demaine <benoit@demaine.info>.
  * Fix fb.modes(5) section in manpage header.
  * debian/copyright:
    - Added the location of the Subversion repo used for the packages.
    - Use "License:" instead of "Copyright:".
  * Updated to debhelper >= 4.2 and use its udeb support.
  * Updated to Linux kernel 2.6.9:
    - debian/doc/kernel-doc/
  * Templates:
    - Italian (Closes: #279013)
      Thanks to Stefano Melchior <stefano.melchior@openlabs.it>.

 -- Guillem Jover <guillem@debian.org>  Tue, 14 Dec 2004 02:50:29 +0100

fbset (2.1-14) unstable; urgency=low

  * Templates:
    - Danish (da.po): Initial translation by Claus Hindsgaul.
  * Updated to Linux kernel 2.6.4:
    - debian/doc/kernel-doc/

 -- Guillem Jover <guillem@debian.org>  Sun, 21 Mar 2004 20:40:15 +0100

fbset (2.1-13) unstable; urgency=low

  * debian/changelog: Converted encoding to UTF-8.
  * debian/control: Lower case first letter from package descriptions.
  * Updated to Linux kernel 2.6.1:
    - debian/doc/kernel-doc/
  * Templates:
    - Japanese (Closes: #227813)
      Thanks to Hideki Yamane <henrich@samba.gr.jp>.

 -- Guillem Jover <guillem@debian.org>  Thu, 15 Jan 2004 08:18:11 +0100

fbset (2.1-12) unstable; urgency=low

  * Split diff into patches.
  * Use debian/patch.mk.
  * Updated to Linux kernel 2.6.0-test9:
    - debian/doc/kernel-doc/
    - debian/doc/FAQ: Added question about fbset working under 2.6.
      Added a question about driver name change.
    - 01_kernel_fb.h.patch
    - 07_new_accels.patch
  * Templates:
    - Russian (Closes: #221440)
      Thanks to Ilgiz Kalmetev <ilgiz@bashtelecom.ru>.
    - German (Closes: #223126)
      Thanks to Patrick Willam <patrick@patrick-willam.de>.
    - Catalan: Fixed a typo.
  * Now using Standards-Version 3.6.1.

 -- Guillem Jover <guillem@debian.org>  Tue, 18 Nov 2003 13:06:42 +0100

fbset (2.1-11) unstable; urgency=low

  * Templates:
    - Dutch (Closes: #204918)
      Thanks to Bart Cornelis <cobaco@linux.be>.
  * Changed udeb priority to extra.

 -- Guillem Jover <guillem@debian.org>  Mon, 11 Aug 2003 20:21:07 +0200

fbset (2.1-10) unstable; urgency=low

  * Update templates.pot automatically.
  * Reference the FAQ in the manpage, and added an entry to the FAQ
    about switching modes with vesafb (Closes: #191266).
  * Documentation update:
    - Added an entry to the FAQ about setting up 80x25 text mode on
      a Sun framebuffer.
    - Added two mode file examples.
    - Added a missing entry in the FAQ TOC.
    (Closes: #193726).
    Thanks to Baurjan Ismagulov <ibr@ata.cs.hun.edu.tr>.
  * Standarized .TH format on manpages.
  * Use stdout for --help command (Closes: #204399).
  * Now using Standards-Version 3.6.0.

 -- Guillem Jover <guillem@debian.org>  Thu,  7 Aug 2003 04:51:22 +0200

fbset (2.1-9) unstable; urgency=low

  * Created an udeb for debian-installer.
  * Substituted '?' character from package long description.
  * Moved DH_COMPAT to compat file.

 -- Guillem Jover <guillem@debian.org>  Sun, 23 Mar 2003 21:22:03 +0100

fbset (2.1-8) unstable; urgency=low

  * Templates:
    - Brazilian portuguese (Closes: #183313)
      Thanks to André Luís Lopes <andrelop@ig.com.br>.
    - French (Closes: #184432)
      Thanks to Philippe Batailler <philippe.batailler@free.fr>.
    - Spanish: Removed the fuzzy tag (forgot to do that on last version).
    - Catalan: Likewise.
  * Added changelog typo fix from last sponsored upload by
    David Martinez <ender@debian.org>.
  * Added a debian/watch file.
  * Sync Section and Priority with override file.
  * Move the shebang "-e" flag from maintainer scripts to an independent
    set command, as suggested by linda.
  * Now using Standards-Version 3.5.9.0.

 -- Guillem Jover <guillem@debian.org>  Thu, 13 Mar 2003 07:33:21 +0100

fbset (2.1-7) unstable; urgency=low

  * New Maintainer (Closes: #176933).
    - Acknowledge NMU fixed bugs (Closes: #55667, #87145, #105619, #106232).

  * Updated to kernel 2.4.20:
    - Updated kernel-doc directory.
    - Updated kernel framebuffer header and corrected compile warnings.
    - Added new accelerator descriptions.
  * Fixed a typo in fb.modes.ATI (Closes: #142841, #151402).
  * Added devfs devices support to:
    - fbset (Closes: #132061)
      Thanks to Bas Zoetekouw <bas@debian.org>.
    - con2fbmap.
  * Recognise framebuffer database rgba option properly (Closes: #42568).
  * Manpages:
    - Updated fbset manpage (Closes: #150724)
      Thanks to Osamu Aoki <debian@aokiconsulting.com>.
    - Added all missing options to fb.modes and fbset manpages.

  * Removed emacs cruft from debian/changelog.
  * debian/copyright:
    - Updated upstream source location.
    - Added what GPL version the source obey (Closes: #133496).
  * Switched to debhelper compatibility level 4.
  * Don't ask framebuffer device creation anymore per policy 11.6.
  * Templates:
    - Brazilian portuguese (Closes: #108541)
      Thanks to André Luís Lopes <andrelop@ig.com.br>.
    - Russian (Closes: #136921)
      Thanks to Ilgiz Kalmetev <ilgiz@bashtelecom.ru>.
    - Spanish (Closes: #107159)
      Thanks to Carlos Valdivia Yagüe <valyag@teleline.es>.
    - Catalan (Closes: #139742)
      Thanks to Antoni Bella <bella5@teleline.es>.
    - German (Closes: #106892)
      Thanks to Sebastian Feltel <sebastian@feltel.de>.
    - Switched to po-debconf.
    - Update template file as per policy 11.6 change. Spanish and Catalan
      translations synced, all others are outdated.
  * debian/control:
    - Removed trailing dot from short package description.
    - Improved long description.
    - Depend on devfsd (Closes: #152149).
    - Depend on debhelper >= 4.1.16 as needed by po-debconf.
    - Use substvar misc:Depends instead of explicit debconf.
  * Updated DEB_BUILD_OPTIONS behaviour as per policy 11.1.
  * Now using Standards-Version 3.5.8.0.
  * Now Lintian/Linda clean.

 -- Guillem Jover <guillem.jover@menta.net>  Wed, 22 Jan 2003 13:12:52 +0100

fbset (2.1-6.1) unstable; urgency=medium

  * NMU with permission of maintainer.
  * Use debhelper v3.
  * Ask user if we should create framebuffer devices. (Closes: #106232)
    + Add dependency on debconf as a result of this question.
    + Do not ask this question if devfs is used.
  * Kevin Kreamer contributed a manpage for modeline2fb. (Closes: #87145)
  * Use /sbin/MAKEDEV, not /dev/MAKEDEV, in postinst. (Closes: #55667)
  * Depend on makedev >= 2.3.1-24 as recommended in #55667.
  * Describe -a and -accel in the manpage for fbset. (Closes: #105619)
  * Changed two places in fb.modes manpage to refer to section 5, not 8.
  * Bumped Standards-Version to 3.5.5.0

 -- André Dahlqvist <andre@debian.org>  Wed, 25 Jul 2001 14:35:29 +0200

fbset (2.1-6) unstable; urgency=low

  * added mode "768x576-75" to the /etc/fb.modes database file
    reported by: Gabor Fleischer <flocsy@mtesz.hu>

 -- Hartmut Koptein <koptein@debian.org>  Tue,  4 Jan 2000 20:48:20 +0100

fbset (2.1-5) unstable; urgency=low

  * cleanup install of con2fbmap
  * added Build-Depends
  * install configfile in /etc/fb.modes

 -- Hartmut Koptein <koptein@debian.org>  Fri, 17 Dec 1999 16:42:56 +0100

fbset (2.1-4) unstable; urgency=low

  * added #!/bin/sh to prerm   closes: #48471

 -- Hartmut Koptein <koptein@debian.org>  Thu, 28 Oct 1999 16:10:05 +0200

fbset (2.1-3) unstable; urgency=low

  * fixed the usr/doc /usr/share sym-link

 -- Hartmut Koptein <koptein@debian.org>  Thu, 21 Oct 1999 13:13:23 +0200

fbset (2.1-2) unstable; urgency=low

  * Updated Standards-Version to 3.0.1.1

 -- Hartmut Koptein <koptein@debian.org>  Tue,  7 Sep 1999 02:01:52 +0200

fbset (2.1-1) unstable; urgency=low

  * new upstream version
  * added kernel-doc directory with the docs from the kernel source
  * make modeline2fb available in /usr/sbin
  * added a very first incomplete FAQ

 -- Hartmut Koptein <koptein@debian.org>  Wed, 23 Jun 1999 19:10:36 +0200

fbset (2.0.1-1) unstable; urgency=low

  * new upstream version

 -- Hartmut Koptein <koptein@et-inf.fho-emden.de>  Tue,  9 Feb 1999 20:07:55 +0100

fbset (2.0-2) frozen unstable; urgency=low

  * added generation of /dev/fb? to postinst if this devices doesn't exist
    fixes: #30810

 -- Hartmut Koptein <koptein@et-inf.fho-emden.de>  Thu, 17 Dec 1998 20:44:53 +0000

fbset (2.0-1) frozen unstable; urgency=low

  * Changed the name from fbset2 to fbset
  * This package replace the old fbset and fbset2 fixes: Bug#29276
  * New maintainer
  * New upstream version
  * Lintian clean

 -- Hartmut Koptein <koptein@et-inf.fho-emden.de>  Fri, 11 Dec 1998 13:09:17 +0000

fbset2 (1998.07.13-1) unstable; urgency=low

  * Sort of a new package, and sort of a new upstream release.

 -- Hartmut Koptein <koptein@et-inf.fho-emden.de>  Fri, 23 Oct 1998 18:07:35 +0200

fbset (1.0-2) unstable; urgency=low

  * Adapted for libc6
  * Changed a pretty stupid bug in postinst which noone discovered so far.
    (it never actually created any fb0* nodes in /dev)

 -- Frank Neumann <Frank.Neumann@Informatik.Uni-Oldenburg.DE>  Tue, 21 Oct 1997 19:38:56 +0200

fbset (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Frank Neumann <Frank.Neumann@Informatik.Uni-Oldenburg.DE>  Wed, 16 Apr 1997 18:47:56 +0200
